import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:sudoku/cubit/game_cubit.dart';
import 'package:sudoku/ui/widgets/game.dart';
import 'package:sudoku/ui/widgets/parameters.dart';

class GamePage extends StatelessWidget {
  const GamePage({super.key});

  @override
  Widget build(BuildContext context) {
    return Material(
      color: Theme.of(context).colorScheme.background,
      child: BlocBuilder<GameCubit, GameState>(
        builder: (BuildContext context, GameState gameState) {
          return gameState.game.isRunning
              ? const GameWidget()
              : Parameters(
                  canResume: gameState.game.isStarted && !gameState.game.isFinished,
                );
        },
      ),
    );
  }
}
